package com.steerinfo.dil.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.route.vo.Map.RouteVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

public interface OffSiteTransportationService {
    List<Map<String, Object>> getInTransitTransportation(Map<String, Object> mapValue);

    //修改是否开启运输报警状态
    int updateWarnSwitch(String warnSwitch,String radio);

    Integer getOrderStatus(Map<String, Object> map);

    public Map<String, Object> getStartAndEndCapacityNumber(Map<String,Object> map);

    void insertOrderMileage(Map<String, Object> ordermap);

    void removeDate();
    //查询是否开启运输报警状态
    Map<String,Object> selectWarnSwitch();

     int insertOrderTripId(Map<String, Object> map);

    int addTransportationAlarm(Map<String, Object> map);

    List<Map<String, Object>> getHaveAbnormalTruckOrderInfo(Map<String, Object> mapValue);

    List<Map<String, Object>> getTransportAbnormalInfo(Map<String, Object> mapValue);

    List<Map<String, Object>> transportationPerformance(Map<String, Object> mapValue);

    int isSelfMention(String capcityNumber);

    int isSelfMentionByOrderNumber(String orderNumber);

    int isClose(String capcityNumber);

    int isCloseByOrderNumber(String orderNumber);
    //对于车辆运输进行校验，其他不校验
    int checkOrder(String capcityNumber);
}
